Name: H5Eget_major
Signature:
  const char * `H5Eget_major`(H5E_major_t `n`)
Purpose:
  Returns a character string describing an error specified by a major error number.
Description:
  Given a major error number, `H5Eget_major` returns a constant character string that describes the error.
Parameters:

H5E_major_t `n` | IN: Major error number.

Returns:
  Returns a character string describing the error if successful. Otherwise returns "Invalid major error number."
Fortran90 Interface: h5eget_major_f

      SUBROUTINE h5eget_major_f(error_no, name, hdferr)
        INTEGER, INTENT(IN) :: error_no         !Major error number
        CHARACTER(LEN=*), INTENT(OUT) :: name   ! File name
        INTEGER, INTENT(OUT) :: hdferr          ! Error code

      END SUBROUTINE h5eget_major_f